summaryrefslogtreecommitdiffstats
path: root/config.profiles/harmattan/configure-pulse.sh
diff options
context:
space:
mode:
authorQt by Nokia <qt-info@nokia.com>2011-04-27 12:05:43 +0200
committeraxis <qt-info@nokia.com>2011-04-27 12:05:43 +0200
commit38be0d13830efd2d98281c645c3a60afe05ffece (patch)
tree6ea73f3ec77f7d153333779883e8120f82820abe /config.profiles/harmattan/configure-pulse.sh
Initial import from the monolithic Qt.
This is the beginning of revision history for this module. If you want to look at revision history older than this, please refer to the Qt Git wiki for how to use Git history grafting. At the time of writing, this wiki is located here: http://qt.gitorious.org/qt/pages/GitIntroductionWithQt If you have already performed the grafting and you don't see any history beyond this commit, try running "git log" with the "--follow" argument. Branched from the monolithic repo, Qt master branch, at commit 896db169ea224deb96c59ce8af800d019de63f12
Diffstat (limited to 'config.profiles/harmattan/configure-pulse.sh')
-rwxr-xr-xconfig.profiles/harmattan/configure-pulse.sh122
1 files changed, 122 insertions, 0 deletions
diff --git a/config.profiles/harmattan/configure-pulse.sh b/config.profiles/harmattan/configure-pulse.sh
new file mode 100755
index 0000000000..bc1615b151
--- /dev/null
+++ b/config.profiles/harmattan/configure-pulse.sh
@@ -0,0 +1,122 @@
+#/bin/sh
+#############################################################################
+##
+## Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
+## All rights reserved.
+## Contact: Nokia Corporation (qt-info@nokia.com)
+##
+## This file is the build configuration utility of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## No Commercial Usage
+## This file contains pre-release code and may not be distributed.
+## You may use this file in accordance with the terms and conditions
+## contained in the Technology Preview License Agreement accompanying
+## this package.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 2.1 requirements
+## will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## In addition, as a special exception, Nokia gives you certain additional
+## rights. These rights are described in the Nokia Qt LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## If you have questions regarding the use of this file, please contact
+## Nokia at qt-info@nokia.com.
+##
+##
+##
+##
+##
+##
+##
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+
+# Fail on error
+set -e
+# We will assume that if TOOLCHAIN_PATH is not set, that other required actions have not been done either
+# so advise the user - N.B.: PATH & PKG_CONFIG_PATH may already be set to system values so we can't
+# simply check for them being unset.
+if [ -z "$TOOLCHAIN_PATH" ]; then
+ echo
+ echo "TOOLCHAIN_PATH must be set to the path of the columbus toolchain, e.g.:" 1>&2
+ echo " export TOOLCHAIN_PATH=/opt/toolchains/columbus/cs2007q3-glibc2.5-arm7" 1>&2
+ echo "PATH should have the path to toolchain's bin dir at beginning, e.g.:" 1>&2
+ echo " export PATH=\$TOOLCHAIN_PATH/bin:\$PATH" 1>&2
+ echo "PKG_CONFIG_PREFIX should have the prefix for pkg config, e.g.:" 1>&2
+ echo " export PKG_CONFIG_PREFIX=\$TOOLCHAIN_PATH/arm-none-linux-gnueabi" 1>&2
+ echo "PKG_CONFIG_PATH must be set to the path(s) to pkg config .pc file location(s), e.g.:" 1>&2
+ echo " export PKG_CONFIG_PATH=\$PKG_CONFIG_PREFIX/libc/lib/pkgconfig:\$PKG_CONFIG_PREFIX/libc/usr/lib/pkgconfig" 1>&2
+ echo
+ exit 1
+fi
+
+# We assume the current dir is the depot and we are not shadow building
+# Blast the mkspec we use, if it exists, and copy it out of debian dir
+rm -rf mkspecs/linux-g++-cross
+cp -a debian/mkspecs/linux-g++-cross mkspecs/
+
+# maemo does the next two lines, no idea why, left them for referance
+# rm -rf mkspecs/glibc-g++
+# cp -a mkspecs/linux-g++ mkspecs/glibc-g++
+
+# Run configure - we take extra arguments if given
+exec ./configure -nokia-developer \
+ -prefix "/usr" \
+ -bindir "/usr/bin" \
+ -libdir "/usr/lib" \
+ -docdir "/usr/share/qt4/doc" \
+ -headerdir "/usr/include/qt4" \
+ -datadir "/usr/share/qt4" \
+ -plugindir "/usr/lib/qt4/plugins" \
+ -translationdir "/usr/share/qt4/translations" \
+ -sysconfdir "/etc/xdg" \
+ -arch arm \
+ -xplatform linux-g++-cross \
+ -fast \
+ -mitshm \
+ -no-optimized-qmake \
+ -reduce-relocations \
+ -no-separate-debug-info \
+ -system-zlib \
+ -system-libtiff \
+ -system-libpng \
+ -system-libjpeg \
+ -no-nas-sound \
+ -qt-gif \
+ -no-qt3support \
+ -no-libmng \
+ -opengl es2 \
+ -no-accessibility \
+ -nomake examples \
+ -nomake demos \
+ -little-endian \
+ -I${TOOLCHAIN_PATH}/libc/usr/include/freetype2 \
+ -lfontconfig \
+ -no-cups \
+ -no-gtkstyle \
+ -exceptions \
+ -no-xinerama \
+ -dbus \
+ -glib \
+ -no-pch \
+ -gstreamer \
+ -svg \
+ -webkit \
+ -no-sql-ibase \
+ -xmlpatterns \
+ -system-sqlite \
+ -plugin-sql-sqlite \
+ -openssl \
+ -DQT_QLOCALE_USES_FCVT \
+ "$@"
+# End of Script